VIGRA - TemplateThreshold class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Threshold Class Template Reference |
--- | --- | ---

Threshold an image. More...

`#include "vigra/transformimage.hxx"`

## Public Types
typedef SrcValueType | argument_type
typedef DestValueType | result_type
## Public Methods
| Threshold (argument_type lower, argument_type higher, result_type noresult, result_type yesresult)
result_type | operator() (argument_type s) const

## Detailed Description

### template<class SrcValueType, class DestValueType>
class vigra::Threshold< SrcValueType, DestValueType >

Threshold an image.

If a source pixel is above or equal the lower and below or equal the higher threshold (i.e. within the closed interval [lower, heigher]) the destination pixel is set to 'yesresult', otherwise to 'noresult'.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)``

Usage:

#include "vigra/transformimage.hxx"
Namespace: vigra

        vigra::BImage src(width, height), dest(width, height);
        ...
        vigra::transformImage(src.upperLeft(), src.lowerRight(), src.accessor(),
           dest.upperLeft(), dest.accessor(),
           vigra::Threshold<
              vigra::BImage::PixelType, vigra::BImage::PixelType>(10, 100, 0, 255));

Required Interface:

        SrcValueType   src;
        DestValueType  dest, yesresult, noresult;

        dest = ((src < lower) || (higher < src)) ? noresult : yesresult;

## Member Typedef Documentation

typedef SrcValueType argument_type

| the functor's argument type

typedef DestValueType result_type

| the functor's result type

## Constructor & Destructor Documentation

Threshold | ( | argument_type | lower,
|  | argument_type | higher,
|  | result_type | noresult,
|  | result_type | yesresult
| ) | `[inline]`

| init thresholds and return values

## Member Function Documentation

result_type operator() | ( | argument_type | s | ) | const`[inline]`

| calculate transform

The documentation for this class was generated from the following file:

- vigra/transformimage.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)